Bug 1151843 - Review Request: perl-WebService-Dropbox - Perl interface to Dropbox API
Summary: Review Request: perl-WebService-Dropbox - Perl interface to Dropbox API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1129096
TreeView+ depends on / blocked
 
Reported: 2014-10-12 14:29 UTC by Robin Lee
Modified: 2014-11-01 17:10 UTC (History)
2 users (show)

Fixed In Version: shutter-0.93-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 01:44:42 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robin Lee 2014-10-12 14:29:36 UTC
Spec URL: http://cheeselee.fedorapeople.org/perl-WebService-Dropbox.spec
SRPM URL: http://cheeselee.fedorapeople.org/perl-WebService-Dropbox-1.22-1.fc20.src.rpm
Description: WebService::Dropbox is a Perl interface to Dropbox API
Fedora Account System Username: cheeselee

Comment 1 Petr Šabata 2014-10-13 13:00:49 UTC
You're missing some build deps
For running Build.PL:
 - CPAN::Meta, Build.PL:15
 - CPAN::Meta::Prereqs, Build.PL:16
 - File::Basename, Build.PL:13
 - File::Spec, Build.PL:14
 - utf8, Build.PL:10
Then for running the test suite:
 - Data::Dumper, t/05_accessor.t:2, t/10_api.t:2, t/11_range.t:2, t/12_304.t:2
 - Encode, t/05_accessor.t:3, t/10_api.t:3, t/11_range.t:3, t/12_304.t:3
 - File::Temp, t/05_accessor.t:5, t/10_api.t:5, t/11_range.t:5, t/12_304.t:5
 - HTTP::Request, lib/WebService/Dropbox.pm:47 (via import() -> use_lwp())
 - IO::File, t/05_accessor.t:6, t/10_api.t:6, t/11_range.t:6, t/12_304.t:6

Next, unused dependencies which should be removed:
 - IO::Socket::SSL -- not used if Furl is not available

Missing a runtime dependency; this one won't be autodetected:
 - HTTP::Request, lib/WebService/Dropbox.pm:47

The specific perl version BR is rather unnecessary.

Also, filter out all those underspecified dependencies.

Don't repeat the module name in the %description.  Begin it with "A Perl interface..." or similar instead.  And end it with a period.  Also, consider including the points from upstream POD description.
http://search.cpan.org/dist/WebService-Dropbox/lib/WebService/Dropbox.pm#DESCRIPTION

Don't package distribution meta files in %doc.  End users have no need for them.  This includes cpanfile, META.json and minil.toml.

Comment 2 Robin Lee 2014-10-18 08:48:03 UTC
Spec URL: http://cheeselee.fedorapeople.org/perl-WebService-Dropbox.spec
SRPM URL: http://cheeselee.fedorapeople.org/perl-WebService-Dropbox-1.22-2.fc20.src.rpm

Changes:
- BR added: perl(CPAN::Meta), perl(CPAN::Meta::Prereqs), perl(File::Basename),
  perl(File::Spec), perl(utf8), perl(Data::Dumper), perl(Encode),
  perl(File::Temp), perl(HTTP::Request), perl(IO::File)
- BR removed: perl(IO::Socket::SSL)
- Requires added: perl(HTTP::Request)
- Removed version restriction of perl BR
- Description updated
- Remove useless documents

Comment 3 Petr Šabata 2014-10-20 14:33:24 UTC
Ack.  You've fixed everything I pointed out.  Approving.

Comment 4 Robin Lee 2014-10-20 14:44:01 UTC
New Package SCM Request
=======================
Package Name: perl-WebService-Dropbox
Short Description: Perl interface to Dropbox API
Upstream URL: http://search.cpan.org/dist/WebService-Dropbox/
Owners: cheeselee
Branches: f19 f20 f21
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2014-10-20 19:49:07 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-10-21 15:31:56 UTC
shutter-0.93-1.fc21,perl-WebService-Dropbox-1.22-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/shutter-0.93-1.fc21,perl-WebService-Dropbox-1.22-2.fc21

Comment 7 Fedora Update System 2014-10-21 15:34:23 UTC
shutter-0.93-1.fc20,perl-WebService-Dropbox-1.22-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/shutter-0.93-1.fc20,perl-WebService-Dropbox-1.22-2.fc20

Comment 8 Fedora Update System 2014-10-22 08:50:36 UTC
shutter-0.93-1.fc20, perl-WebService-Dropbox-1.22-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-11-01 01:44:42 UTC
shutter-0.93-1.fc20, perl-WebService-Dropbox-1.22-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-11-01 17:10:05 UTC
shutter-0.93-1.fc21, perl-WebService-Dropbox-1.22-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.